package com.ejie.ab79.model.expedientes;

/**
 * TiposDireccion  
 * 
 *  
 */

public class TiposDireccion implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long idTipoDireccion;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private String usuarioRegistro;

	/**
	 * Method 'TiposDireccion'.
	 */
	public TiposDireccion() {
	}

	/**
	 * Method 'TiposDireccion'.
	 * 
	 * @param idTipoDireccion
	 *            Long
	 */
	public TiposDireccion(Long idTipoDireccion) {
		this.idTipoDireccion = idTipoDireccion;
	}

	/**
	 * Method 'TiposDireccion'.
	 * 
	 * @param idTipoDireccion
	 *            Long
	 * @param descripcionCastellano
	 *            String
	 * @param descripcionEuskera
	 *            String
	 * @param usuarioRegistro
	 *            String
	 */
	public TiposDireccion(Long idTipoDireccion, String descripcionCastellano, String descripcionEuskera,
			String usuarioRegistro) {

		this.idTipoDireccion = idTipoDireccion;
		this.descripcionCastellano = descripcionCastellano;
		this.descripcionEuskera = descripcionEuskera;
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getIdTipoDireccion'.
	 *
	 * @return Long
	 */

	public Long getIdTipoDireccion() {
		return this.idTipoDireccion;
	}

	/**
	 * Method 'setIdTipoDireccion'.
	 *
	 * @param idTipoDireccion
	 *            Long
	 * @return
	 */

	public void setIdTipoDireccion(Long idTipoDireccion) {
		this.idTipoDireccion = idTipoDireccion;
	}

	/**
	 * Method 'getDescripcionCastellano'.
	 *
	 * @return String
	 */

	public String getDescripcionCastellano() {
		return this.descripcionCastellano;
	}

	/**
	 * Method 'setDescripcionCastellano'.
	 *
	 * @param descripcionCastellano
	 *            String
	 * @return
	 */

	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	/**
	 * Method 'getDescripcionEuskera'.
	 *
	 * @return String
	 */

	public String getDescripcionEuskera() {
		return this.descripcionEuskera;
	}

	/**
	 * Method 'setDescripcionEuskera'.
	 *
	 * @param descripcionEuskera
	 *            String
	 * @return
	 */

	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idTipoDireccion: ").append(this.idTipoDireccion).append(" ]");
		result.append(", [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(", [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
